#include "AxisSweep3.h"
#include "BulletCLIMath.h"

namespace BulletCLI 
{
	
	AxisSweep3::AxisSweep3(Vector3 worldAABBMin,Vector3 worldAABBMax,unsigned short maxHandles)
	{
        btVector3* aabbmin,*aabbmax;
        aabbmin=BulletCLI::XVectorToBTVector(worldAABBMin);
        aabbmax=BulletCLI::XVectorToBTVector(worldAABBMax);
        this->m_p=new ::btAxisSweep3(*aabbmin,*aabbmax,maxHandles);
        delete aabbmin;
        delete aabbmax;
	}
	AxisSweep3::~AxisSweep3()
	{
		this->!AxisSweep3();
	}
	AxisSweep3::!AxisSweep3()
	{
		delete this->m_p;
	}
}